DROP TEXT SEARCH TEMPLATE(7)

NAME
DROP_TEXT_SEARCH_TEMPLATE - remove a text search template

SYNOPSIS

DROP TEXT SEARCH TEMPLATE [ IF EXISTS ] name [ CASCADE | RESTRICT ]

DESCRIPTION

DROP TEXT SEARCH TEMPLATE drops an existing text search template. You must be a superuser to use this command.

PARAMETERS

IF EXISTS
    Do not throw an error if the text search template does not exist. A notice is issued in this case.

name
    The name (optionally schema-qualified) of an existing text search template.

CASCADE
    Automatically drop objects that depend on the text search template.

RESTRICT
    Refuse to drop the text search template if any objects depend on it. This is the default.

EXAMPLES

Remove the text search template thesaurus:

    DROP TEXT SEARCH TEMPLATE thesaurus;

This command will not succeed if there are any existing text search dictionaries that use the template. Add CASCADE to drop such dictionaries along with the template.

COMPATIBILITY

There is no DROP TEXT SEARCH TEMPLATE statement in the SQL standard.

SEE ALSO
ALTER TEXT SEARCH TEMPLATE (ALTER_TEXT_SEARCH_TEMPLATE(7)), CREATE TEXT SEARCH TEMPLATE (CREATE_TEXT_SEARCH_TEMPLATE(7))